org.apache.ignite.internal.processors.datastructures

## Class GridCacheAtomicSequenceValue

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.AtomicDataStructureValue
  - - org.apache.ignite.internal.processors.datastructures.GridCacheAtomicSequenceValue

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, GridCacheInternal

    public final class GridCacheAtomicSequenceValue
    extends AtomicDataStructureValue
    implements Cloneable

Sequence value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAtomicSequenceValue()` Empty constructor required for `Externalizable`.
`GridCacheAtomicSequenceValue(long val)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`long` `get()`
`void` `readExternal(ObjectInput in)`
`void` `set(long val)`
`String` `toString()`
`DataStructureType` `type()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheAtomicSequenceValue

    public GridCacheAtomicSequenceValue()

Empty constructor required for `Externalizable`.

#### GridCacheAtomicSequenceValue

    public GridCacheAtomicSequenceValue(long val)

Default constructor.

Parameters:
  `val` - Initial value.

### Method Detail

#### type

    public DataStructureType type()

Specified by:
  `type` in class `AtomicDataStructureValue`
Returns:
  Data structure type.

#### set

    public void set(long val)

Parameters:
  `val` - New value.

#### get

    public long get()

Returns:
  val Current value.

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019